﻿/*.gridAlt {
  background-color: #dae2e8;
}*/
.grid {
  border: 1px solid #bed6e8;
  position: relative;
  border-right: none;
    margin-bottom: 1rem;
}
.grid table {
  border: 0;
  border-collapse: separate;
  border-spacing: 0;
  empty-cells: show;
  width: 100%;
    margin-bottom: 0;
}
div.grid table thead {
  background-color: #223c61;
  background-position: 0 50%;
  background-repeat: repeat-x;
  border-color: #426682;
}
div.grid table thead th {
  border-color: #426682;
  border-style: solid;
  border-width: 0 1px 1px 0;
  color: white;
  padding: .2rem 1%;
  text-align: left;
  vertical-align: top !important;
    font-weight: normal;
  white-space: nowrap;
    line-height: 1rem;
}
div.grid table thead.centered th {
  text-align: center;
  white-space: nowrap;
}
.grid td {
  border: 0 solid #bed6e8;
  border-right-width: 1px;
  padding: .4rem 1%;
  vertical-align: middle;
}

.grid table tbody tr td button {
    margin-bottom: .2rem;
    padding-left: .3rem !important;
    padding-right: .3rem !important;
    white-space: nowrap;
    font-weight: normal !important;
    font-size: small;
}

.searchfieldset {
    min-width: 0;
    padding: 5px;
    margin: 0;
    border: 1px solid black;
}

.sectionBody {
    padding: 1em;
}

span.pager {
    cursor: pointer;
    display: inline-block
}

.sortableGrid th {
    text-align: center !important;
    white-space: normal !important;
}

.sortableGrid td {
    overflow-wrap: break-word;
}

.sortableGrid td .link {
    color: #2199e8 !important;
    text-decoration: none !important;
    line-height: inherit;
    cursor: pointer;
}

a.pagingLink span {
    font-weight: normal
}

.ui-icon-spacer-n {
    background-position: -240px -240px;
}

.ui-paging {
    background-image: url('images/arrows.png');
    height: 16px;
    width: 16px
}

.ui-paging-first {
    background-position: -240px 0
}

.ui-paging-last {
    background-position: -204px 0
}

.ui-paging-prev {
    background-position: -96px 0
}

.ui-paging-next {
    background-position: -32px 0
}

.sorter {
    display: inline-block
}

.sortableGrid thead th {
    cursor: pointer
}

.sortableGrid thead th.nosort {
    cursor: default !important
}

.gridPager {
    padding: 0 5px 0 0;
    margin-left: 0
}

a.pager {
    margin: 0 3px 0 3px
}

.currentPageLink {
    font-weight: bold;
    text-decoration: none !important
}

.pagingLink {
    cursor: pointer;
    text-decoration: underline
}

.ui-widget {
    font-family: Verdana,Arial,sans-serif;
    font-size: 1.1em
}

.ui-widget .ui-widget {
    font-size: 1em
}

.ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button {
    font-family: Verdana,Arial,sans-serif;
    font-size: 1em
}

.ui-widget-content {
    border: 1px solid #aaa;
    background: #fff url("images/ui-bg_flat_75_ffffff_40x100.png") 50% 50% repeat-x;
    color: #222
}

.ui-widget-content a {
    color: #222
}

.ui-widget-header {
    border: 1px solid #aaa;
    background: #ccc url("images/ui-bg_highlight-soft_75_cccccc_1x100.png") 50% 50% repeat-x;
    color: #222;
    font-weight: bold
}

.ui-widget-header a {
    color: #222
}

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
    border: 1px solid #d3d3d3;
    background: #e6e6e6 url("images/ui-bg_glass_75_e6e6e6_1x400.png") 50% 50% repeat-x;
    font-weight: normal;
    color: #555
}

.ui-state-default a, .ui-state-default a:link, .ui-state-default a:visited {
    color: #555;
    text-decoration: none
}

.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover, .ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus {
    border: 1px solid #999;
    background: #dadada url("images/ui-bg_glass_75_dadada_1x400.png") 50% 50% repeat-x;
    font-weight: normal;
    color: #212121
}

.ui-state-hover a, .ui-state-hover a:hover, .ui-state-hover a:link, .ui-state-hover a:visited, .ui-state-focus a, .ui-state-focus a:hover, .ui-state-focus a:link, .ui-state-focus a:visited {
    color: #212121;
    text-decoration: none
}

.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active {
    border: 1px solid #aaa;
    background: #fff url("images/ui-bg_glass_65_ffffff_1x400.png") 50% 50% repeat-x;
    font-weight: normal;
    color: #212121
}

.ui-state-active a, .ui-state-active a:link, .ui-state-active a:visited {
    color: #212121;
    text-decoration: none
}

.ui-state-highlight, .ui-widget-content .ui-state-highlight, .ui-widget-header .ui-state-highlight {
    border: 1px solid #fcefa1;
    background: #fbf9ee url("images/ui-bg_glass_55_fbf9ee_1x400.png") 50% 50% repeat-x;
    color: #363636
}

.ui-state-highlight a, .ui-widget-content .ui-state-highlight a, .ui-widget-header .ui-state-highlight a {
    color: #363636
}

.ui-state-error, .ui-widget-content .ui-state-error, .ui-widget-header .ui-state-error {
    border: 1px solid #cd0a0a;
    background: #fef1ec url("images/ui-bg_glass_95_fef1ec_1x400.png") 50% 50% repeat-x;
    color: #cd0a0a
}

.ui-state-error a, .ui-widget-content .ui-state-error a, .ui-widget-header .ui-state-error a {
    color: #cd0a0a
}

.ui-state-error-text, .ui-widget-content .ui-state-error-text, .ui-widget-header .ui-state-error-text {
    color: #cd0a0a
}

.ui-priority-primary, .ui-widget-content .ui-priority-primary, .ui-widget-header .ui-priority-primary {
    font-weight: bold
}

.ui-priority-secondary, .ui-widget-content .ui-priority-secondary, .ui-widget-header .ui-priority-secondary {
    opacity: .7;
    filter: Alpha(Opacity=70);
    font-weight: normal
}

.ui-state-disabled, .ui-widget-content .ui-state-disabled, .ui-widget-header .ui-state-disabled {
    opacity: .35;
    filter: Alpha(Opacity=35);
    background-image: none
}

.ui-state-disabled .ui-icon {
    filter: Alpha(Opacity=35)
}

.ui-icon {
    width: 16px;
    height: 16px
}

.ui-icon, .ui-widget-content .ui-icon {
    background-image: url("images/ui-icons_ffffff_256x240.png") !important
}

.ui-widget-header .ui-icon {
    background-image: url("images/ui-icons_222222_256x240.png")
}

